OpenTTD AI API: Data Fields

OpenTTD AI API 15.0-beta2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AcceptMerger() : AIEventCompanyAskMerger
- AcceptPreview() : AIEventEnginePreview
- AddItem() : AIList
- AddLabels() : AIInfo
- AddList() : AIList
- AddRectangle() : AITileList
- AddSetting() : AIInfo
- AddTile() : AITileList
- AIAccounting() : AIAccounting
- AIBridgeList_Length() : AIBridgeList_Length
- AICargoList_IndustryAccepting() : AICargoList_IndustryAccepting
- AICargoList_IndustryProducing() : AICargoList_IndustryProducing
- AICargoList_StationAccepting() : AICargoList_StationAccepting
- AIConfigFlags : AIInfo
- AIDepotList() : AIDepotList
- AIEngineList() : AIEngineList
- AIEvent() : AIEvent
- AIEventType : AIEvent
- AIExecMode() : AIExecMode
- AIGroupList() : AIGroupList
- AIIndustryList() : AIIndustryList
- AIIndustryList_CargoAccepting() : AIIndustryList_CargoAccepting
- AIIndustryList_CargoProducing() : AIIndustryList_CargoProducing
- AIOrderFlags : AIOrder
- AIRoadTypeList() : AIRoadTypeList
- AirportType : AIAirport
- AISignList() : AISignList
- AIStationList() : AIStationList
- AIStationList_Cargo() : AIStationList_Cargo
- AIStationList_CargoPlanned() : AIStationList_CargoPlanned
- AIStationList_CargoPlannedByFrom() : AIStationList_CargoPlannedByFrom
- AIStationList_CargoPlannedByVia() : AIStationList_CargoPlannedByVia
- AIStationList_CargoPlannedFromByVia() : AIStationList_CargoPlannedFromByVia
- AIStationList_CargoPlannedViaByFrom() : AIStationList_CargoPlannedViaByFrom
- AIStationList_CargoWaiting() : AIStationList_CargoWaiting
- AIStationList_CargoWaitingByFrom() : AIStationList_CargoWaitingByFrom
- AIStationList_CargoWaitingByVia() : AIStationList_CargoWaitingByVia
- AIStationList_CargoWaitingFromByVia() : AIStationList_CargoWaitingFromByVia
- AIStationList_CargoWaitingViaByFrom() : AIStationList_CargoWaitingViaByFrom
- AIStationList_Vehicle() : AIStationList_Vehicle
- AISubsidyList() : AISubsidyList
- AITestMode() : AITestMode
- AITileList_IndustryAccepting() : AITileList_IndustryAccepting
- AITileList_IndustryProducing() : AITileList_IndustryProducing
- AITileList_StationCoverage() : AITileList_StationCoverage
- AITileList_StationType() : AITileList_StationType
- AITownList() : AITownList
- AIVehicleList() : AIVehicleList
- AIVehicleList_DefaultGroup() : AIVehicleList_DefaultGroup
- AIVehicleList_Depot() : AIVehicleList_Depot
- AIVehicleList_Group() : AIVehicleList_Group
- AIVehicleList_SharedOrders() : AIVehicleList_SharedOrders
- AIVehicleList_Station() : AIVehicleList_Station
- AIWaypointList() : AIWaypointList
- AIWaypointList_Vehicle() : AIWaypointList_Vehicle
- AppendConditionalOrder() : AIOrder
- AppendOrder() : AIOrder
- AreOrderFlagsValid() : AIOrder
- AreRoadTilesConnected() : AIRoad
- AreTilesConnected() : AIRail
- AreWaterTilesConnected() : AIMarine
- AT_COMMUTER : AIAirport
- AT_HELIDEPOT : AIAirport
- AT_HELIPORT : AIAirport
- AT_HELISTATION : AIAirport
- AT_INTERCON : AIAirport
- AT_INTERNATIONAL : AIAirport
- AT_INVALID : AIAirport
- AT_LARGE : AIAirport
- AT_METROPOLITAN : AIAirport
- AT_SMALL : AIAirport